//
//  ViewController.m
//  AdsDemo
//
//  Created by xingming on 2017/9/26.
//  Copyright © 2017年 . All rights reserved.
//

#import "ViewController.h"
#import <PlayAds/AdsManager.h>

@interface ViewController ()<UITextFieldDelegate>{
    NSUInteger _secTime;
//    NSString *_userID;
//    NSString *_userName;
//    NSString *_roleId;
//    NSString *_roleName;
//    NSString *_serverName;
//    NSString *_serverID;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    //可选的调试日志
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(quickAdWorkNoty:) name:WORK_LOG object:nil];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)onInitPlayAdsSDK:(id)sender {
    
}
- (IBAction)onLoginOK:(id)sender {
    NSString *uid = @"123";
    NSString *name = @"name";
    [AdsManager onLogin:uid username:name];
}
- (IBAction)onActive:(id)sender {
    //游戏激活
    [AdsManager onActivationWithUid:_userID.text roleId:_userName.text];
//    [AdsManager onRegisterUid:@"123" username:@"name"];
}
- (IBAction)onRoleUpdate:(id)sender {
    AdsRole *roleInfo = [AdsRole roleInfo];
    roleInfo.uid = _userID.text;
    roleInfo.userName = _userName.text;
    roleInfo.roleId = _roleId.text;
    roleInfo.roleName = _roleName.text;
    roleInfo.serverName = _serverName.text;
    roleInfo.serverId = _serverID.text;
    roleInfo.roleLevel = 2;
    roleInfo.vipLevel = 3;
    [AdsManager updateRoleInfo:roleInfo isCreate:NO];
}
- (IBAction)onCongziOK:(id)sender {
    AdsOrder *orderInfo = [AdsOrder orderInfo];
    orderInfo.orderNo = [NSString stringWithFormat:@"%.0f",[NSDate timeIntervalSinceReferenceDate]];
    orderInfo.goodsId = _productId.text;//@"120baoshi";
    orderInfo.goodsName = _productName.text;//@"120宝石";
    orderInfo.amount = _amount.text.floatValue;//12;
    orderInfo.currency = _currency.text;//@"CNY";
    
    AdsRole *roleInfo = [AdsRole roleInfo];
    roleInfo.uid = _userID.text;
    roleInfo.userName = _userName.text;
    roleInfo.roleId = _roleId.text;
    roleInfo.roleName = _roleName.text;
    roleInfo.serverName = _serverName.text;
    roleInfo.serverId = _serverID.text;
    roleInfo.roleLevel = 2;
    roleInfo.vipLevel = 3;
    [AdsManager congziOverInfo:orderInfo roleInfo:roleInfo];
}
- (void)quickAdWorkNoty:(NSNotification *)sender{
    NSString *str = [sender.userInfo objectForKey:@"log"];
    if(str){
        [self.textView setText:[self.textView.text stringByAppendingFormat:@"\n%@",str]];
    }
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [self.view endEditing:YES];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [self.view endEditing:YES];
    return YES;
}


@end
